# Stable Kernel Patches Review Status
Please list your name and review result below the patch item

  * UR:  Under Review
  * ACK: Acknowledge (if the patch is accepted)
  * TBB: To be backported (if other patches should be also backported)
  * NAK: Negative acknowledge (if the patch is rejected, please list the reason)
  * IGN: Patch was not reviewed as it is out of scope for CIP project


## v6.1.11
  - d60c95efffe84 Linux 6.1.11
  - 74eec8266f37a bpf: Skip invalid kfunc call in backtrack_insn
  - d458a0984429c gfs2: Always check inode size of inline inodes
  - 62b11a34a98cc gfs2: Cosmetic gfs2_dinode_{in,out} cleanup
  - f06de1bb6d61f wifi: brcmfmac: Check the count value of channel spec to prevent out-of-bounds reads
  - 5b25035fb888c f2fs: fix to do sanity check on i_extra_isize in is_alive()
  - 1b4c08844628d fbdev: smscufx: fix error handling code in ufx_usb_probe
  - ddeff03bb3381 f2fs: initialize locks earlier in f2fs_fill_super()
  - 07a96977b2f46 ovl: Use "buf" flexible array for memcpy() destination
  - 543bba3be2628 fs/ntfs3: Validate attribute data and valid sizes
  - 0153009a7e650 powerpc/imc-pmu: Revert nest_init_lock to being a mutex
  - 5a9fe6b7f4c1e powerpc/64s: Fix local irq disable when PMIs are disabled
  - 18bac7de24597 powerpc/64s/radix: Fix crash with unaligned relocated kernel
  - 54fb38bcaaa04 iio:adc:twl6030: Enable measurement of VAC
  - f6c0ebc10c0b9 ASoC: SOF: sof-audio: prepare_widgets: Check swidget for NULL on sink failure
  - 02b9d653531d1 platform/x86/amd: pmc: add CONFIG_SERIO dependency
  - 9d25aea2ab4fe serial: 8250_dma: Fix DMA Rx rearm race
  - bd8d2ba9d9e0a serial: 8250_dma: Fix DMA Rx completion race
  - 5f3dedbc3bf48 phy: qcom-qmp-combo: fix runtime suspend
  - 5288d522a9879 nvmem: core: fix return value
  - 1dcd68c9cc5c2 nvmem: core: fix cell removal on error
  - d78f5d46fc2a4 nvmem: core: fix device node refcounting
  - 897dfd346223f nvmem: core: fix registration vs use race
  - 39708bc8da785 nvmem: core: fix cleanup after dev_set_name()
  - 1e2a745a896ec nvmem: core: remove nvmem_config wp_gpio
  - 28829e5f1c88a nvmem: core: initialise nvmem->id early
  - 86dbbc8f6ba70 drm/amdgpu: update wave data type to 3 for gfx11
  - 91ef43f6b65b5 drm/amd/pm: drop unneeded dpm features disablement for SMU 13.0.4/11
  - 814d83a710e83 drm/amd: Fix initialization for nbio 4.3.0
  - 0769f997a7b6d drm/i915: Fix potential bit_17 double-free
  - 764accc2c1b8f drm/i915: Avoid potential vm use-after-free
  - 52c6d3a84a3ec serial: stm32: Merge hard IRQ and threaded IRQ handling into single IRQ handler
  - e48a8ad77be33 dma-buf: actually set signaling bit for private stub fences
  - d8b46cc1cf9b2 migrate: hugetlb: check for hugetlb shared PMD in node migration
  - 82587c0e2735b maple_tree: fix mas_empty_area_rev() lower bound validation
  - a7da7d01ac5ce Squashfs: fix handling and sanity checking of xattr_ids count
  - c4fd07cd5e7ec ia64: fix build error due to switch case label appearing next to declaration
  - ef8a286338c4f highmem: round down the address passed to kunmap_flush_on_unmap()
  - 96aaaf8666010 mm/MADV_COLLAPSE: catch !none !huge !bad pmd lookups
  - 97f17a7372708 mm, mremap: fix mremap() expanding for vma's with vm_ops->close()
  - acb08187b5a83 mm/khugepaged: fix ->anon_vma race
  - 49178d4d61e78 mm/swapfile: add cond_resched() in get_swap_pages()
  - 2d11727655bf9 mm/uffd: fix pte marker when fork() without fork event
  - b10990bee73cb fpga: stratix10-soc: Fix return value check in s10_ops_write_init()
  - 74cff472d3d66 fpga: m10bmc-sec: Fix probe rollback
  - 32beac7a3d0f7 x86/debug: Fix stack recursion caused by wrongly ordered DR7 accesses
  - 0b570a059cf42 HV: hv_balloon: fix memory leak with using debugfs_lookup()
  - cf1c917bf1c76 kernel/irq/irqdomain.c: fix memory leak with using debugfs_lookup()
  - 512d1ed968d53 usb: gadget: udc: do not clear gadget driver.bus
  - fdd11d7136fd0 usb: typec: ucsi: Don't attempt to resume the ports before they exist
  - dd63f6f0d9467 usb: gadget: f_uac2: Fix incorrect increment of bNumEndpoints
  - b79ba5953f6fd mm: memcg: fix NULL pointer in mem_cgroup_track_foreign_dirty_slowpath()
  - 139f866e420a9 mm: hugetlb: proc: check for hugetlb shared PMD in /proc/PID/smaps
  - 04448022311ce mm: multi-gen LRU: fix crash during cgroup migration
  - b40680220b13f Revert "mm: kmemleak: alloc gray object for reserved region with direct map"
  - 4afacf17ff0f6 riscv: disable generation of unwind tables
  - 3028c3a169a2b parisc: Wire up PTRACE_GETREGS/PTRACE_SETREGS for compat case
  - a6a5b7067018d parisc: Replace hardcoded value with PRIV_USER constant in ptrace.c
  - d386bc5bf1cd0 parisc: Fix return code of pdc_iodc_print()
  - 96d3b446680e2 nvmem: qcom-spmi-sdam: fix module autoloading
  - 68ce2c8f9d0e2 nvmem: sunxi_sid: Always use 32-bit MMIO reads
  - f5249bbae0e73 nvmem: brcm_nvram: Add check for kzalloc
  - 4092267ad66a0 iio: imu: fxos8700: fix MAGN sensor scale and unit
  - ad3c145485b2f iio: imu: fxos8700: remove definition FXOS8700_CTRL_ODR_MIN
  - 8ac10e1cb0f5b iio: imu: fxos8700: fix failed initialization ODR mode assignment
  - 555daa41074d7 iio: imu: fxos8700: fix incorrect ODR mode readback
  - efc3dc3812cfd iio: imu: fxos8700: fix swapped ACCEL and MAGN channels readback
  - af7b50e4f6eea iio: imu: fxos8700: fix map label of channel type to MAGN sensor
  - 3a91ef914ab1a iio: imu: fxos8700: fix IMU data bits returned to user space
  - 8f1b6aa3bf0fe iio: imu: fxos8700: fix incomplete ACCEL and MAGN channels readback
  - fb06fc5af496f iio: imu: fxos8700: fix ACCEL measurement range selection
  - 1a48ba20a5510 iio: light: cm32181: Fix PM support on system with 2 I2C resources
  - 930351148181c iio:adc:twl6030: Enable measurements of VUSB, VBAT and others
  - e05b41391ab36 iio: imx8qxp-adc: fix irq flood when call imx8qxp_adc_read_raw()
  - 9e480211d0f85 iio: adc: berlin2-adc: Add missing of_node_put() in error path
  - 0b2f949909a34 iio: adc: xilinx-ams: fix devm_krealloc() return value check
  - f9e5c6d9ac6ca iio: hid: fix the retval in gyro_3d_capture_sample
  - 37b5824545e66 iio: hid: fix the retval in accel_3d_capture_sample
  - 8c3203f47d33e rtc: efi: Enable SET/GET WAKEUP services as optional
  - 661bb546c4d54 efi: Accept version 2 of memory attributes table
  - ac515839b1f3e ASoC: SOF: keep prepare/unprepare widgets in sink path
  - 18691bdd5db5b ASoC: SOF: sof-audio: skip prepare/unprepare if swidget is NULL
  - b6552a76015a7 ASoC: SOF: sof-audio: unprepare when swidget->use_count > 0
  - 60a1ffed517f0 ASoC: codecs: wsa883x: correct playback min/max rates
  - dd405afa4e970 ALSA: hda/realtek: fix mute/micmute LEDs, speaker don't work for a HP platform
  - e58d01b099302 ALSA: hda/realtek: Add Acer Predator PH315-54
  - be606481eb333 watchdog: diag288_wdt: fix __diag288() inline assembly
  - f3d786285f4c8 watchdog: diag288_wdt: do not use stack buffers for hardware data
  - ad88608681417 can: isotp: handle wait_event_interruptible() return values
  - cae4c9bc35f72 can: isotp: split tx timer into transmission and timeout
  - 6e62048f527dc net: qrtr: free memory on error path in radix_tree_insert()
  - 334ce90fadd14 ARM: dts: imx7d-smegw01: Fix USB host over-current polarity
  - 78792d25b658b hv_netvsc: Fix missed pagebuf entries in netvsc_dma_map/unmap()
  - a2ab7f2cf5ef8 cgroup/cpuset: Fix wrong check in update_parent_subparts_cpumask()
  - 5e7f6e2ade57d fbcon: Check font dimension limits
  - 8506f16aae9da vc_screen: move load of struct vc_data pointer in vcs_read() to avoid UAF
  - 3b1534f5bae79 usb: gadget: f_fs: Fix unbalanced spinlock in __ffs_ep0_queue_wait
  - f3ce160b301ca usb: dwc3: qcom: enable vbus override when in OTG dr-mode
  - e99780c3e7a9f iio: adc: stm32-dfsdm: fill module aliases
  - 016dadc60e2ee bcache: Silence memcpy() run-time false positive warnings
  - f3056978934cf drm/amd/display: Fix timing not changning when freesync video is enabled
  - 22312eeab33e7 net/x25: Fix to not accept on connected socket
  - 72e5a83b7c840 platform/x86/amd: pmc: Disable IRQ1 wakeup for RN/CZN
  - 37e9784331f27 platform/x86: gigabyte-wmi: add support for B450M DS3H WIFI-CF
  - 919ff2c40145b platform/x86: hp-wmi: Handle Omen Key event
  - eb74184dcc708 platform/x86: dell-wmi: Add a keymap for KEY_MUTE in type 0x0010 table
  - 19e2f49914e71 x86/build: Move '-mindirect-branch-cs-prefix' out of GCC-only block
  - 40971f2e525e6 Revert "gfs2: stop using generic_writepages in gfs2_ail1_start_one"
  - c671f7aaf2d81 i2c: rk3x: fix a bunch of kernel-doc warnings
  - 61e43ebfd243b scsi: iscsi_tcp: Fix UAF during login when accessing the shost ipaddress
  - 8859687f5b242 scsi: iscsi_tcp: Fix UAF during logout when accessing the shost ipaddress
  - 35e44dc402838 perf/x86/intel/cstate: Add Emerald Rapids
  - e095f0d86e3a4 perf/x86/intel: Add Emerald Rapids
  - fcf8b1a6d5b86 x86/aperfmperf: Erase stale arch_freq_scale values when disabling frequency invariance readings
  - f6c8f682e588f scsi: target: core: Fix warning on RT kernels
  - c1435f5a03c8b i2c: mxs: suppress probe-deferral error message
  - 8e9b15ad14843 i2c: designware-pci: Add new PCI IDs for AMD NAVI GPU
  - 65166bccd0383 kbuild: modinst: Fix build error when CONFIG_MODULE_SIG_KEY is a PKCS#11 URI
  - 10282d9daaf74 certs: Fix build error when PKCS#11 URI contains semicolon
  - 71ebd83f320e6 rtc: sunplus: fix format string for printing resource
  - a2e6a9ff89f13 efi: fix potential NULL deref in efi_mem_reserve_persistent
  - 70d40674a549d net: openvswitch: fix flow memory leak in ovs_flow_cmd_new
  - 2c036e21c2b63 virtio-net: Keep stop() to follow mirror sequence of open()
  - 462a2c1bdf1a4 selftests: net: udpgso_bench_tx: Cater for pending datagrams zerocopy benchmarking
  - 14782ea872e03 selftests: net: udpgso_bench: Fix racing bug between the rx/tx programs
  - 430bc0756ae13 selftests: net: udpgso_bench_rx/tx: Stop when wrong CLI args are provided
  - 5bbc22fdbcbc3 selftests: net: udpgso_bench_rx: Fix 'used uninitialized' compiler warning
  - 3b7fbcf86eee6 ata: libata: Fix sata_down_spd_limit() when no link speed is reported
  - 6366671954f06 can: mcp251xfd: mcp251xfd_ring_set_ringparam(): assign missing tx_obj_num_coalesce_irq
  - c3033f91ebd65 can: raw: fix CAN FD frame transmissions over CAN XL devices
  - 1740a1e45eee6 can: j1939: fix errant WARN_ON_ONCE in j1939_session_deactivate
  - 0cb094179aa88 octeontx2-af: Fix devlink unregister
  - adf848eab2d49 igc: return an error if the mac type is unknown in igc_ptp_systim_to_hwtstamp()
  - 12316538b1d19 riscv: kprobe: Fixup kernel panic when probing an illegal position
  - 848b6074654e8 ip/ip6_gre: Fix non-point-to-point tunnel not generating IPv6 link local address
  - abac37d8f90c7 ip/ip6_gre: Fix changing addr gen mode not generating IPv6 link local address
  - e2d967b42a71f drm/panel: boe-tv101wum-nl6: Ensure DSI writes succeed during disable
  - 11ee5d6308279 net: phy: meson-gxl: Add generic dummy stubs for MMD register access
  - 0cfe084e15305 sctp: do not check hb_timer.expires when resetting hb_timer
  - e0514483fa88f maple_tree: should get pivots boundary by type
  - 29e774dcb2711 squashfs: harden sanity check in squashfs_read_xattr_id_table
  - 14f56034ec4ea kunit: fix kunit_test_init_section_suites(...)
  - ee1e3fe4b4579 block: ublk: extending queue_size to fix overflow
  - a1512f11ec024 netfilter: br_netfilter: disable sabotage_in hook after first suppression
  - 3214b04de31ba ALSA: firewire-motu: fix unreleased lock warning in hwdep device
  - 37c0cdf7e4919 net/tls: tls_is_tx_ready() checked list_entry
  - 7a435fe0b6bbf drm/i915/adlp: Fix typo for reference clock
  - 04dcff26490cc drm/i915: Fix up locking around dumping requests lists
  - 9467397f417dd drm/i915: Fix request ref counting during error capture & debugfs dump
  - de997938a7a5d drm/i915/guc: Fix locking when searching for a hung request
  - e7cdec97ebebf platform/x86: thinkpad_acpi: Fix thinklight LED brightness returning 255
  - 21745fbfe7600 platform/x86/amd/pmf: Ensure mutexes are initialized before use
  - 7f7f441347b49 platform/x86/amd/pmf: Fix to update SPS thermals when power supply change
  - dadc3820a3d98 platform/x86/amd/pmf: Add helper routine to check pprof is balanced
  - 1db1edddb8731 platform/x86/amd/pmf: Fix to update SPS default pprof thermals
  - 05484584cadf1 platform/x86/amd/pmf: Add helper routine to update SPS thermals
  - bb4a5cef532d6 platform/x86/amd/pmf: update to auto-mode limits only after AMT event
  - 3be069f42a7b7 fscache: Use wait_on_bit() to wait for the freeing of relinquished volume
  - 5c2227f3f1778 netrom: Fix use-after-free caused by accept on already connected socket
  - cb1876fc33af2 block, bfq: fix uaf for bfqq in bic_set_bfqq()
  - b2e181cf9e57c block, bfq: replace 0/1 with false/true in bic apis
  - 70fd5afb4c361 net: wwan: t7xx: Fix Runtime PM initialization
  - 78901b10522cd net: phy: dp83822: Fix null pointer access on DP83825/DP83826 devices
  - ddaf96f6953b0 sfc: correctly advertise tunneled IPv6 segmentation
  - a838f8a69b1ff skb: Do mix page pool and page referenced frags in GRO
  - 9e0d874c0a6bd dpaa2-eth: execute xdp_do_flush() before napi_complete_done()
  - 71a773ab79c99 dpaa_eth: execute xdp_do_flush() before napi_complete_done()
  - e5aed13363031 virtio-net: execute xdp_do_flush() before napi_complete_done()
  - b9fd30ea66e88 qede: execute xdp_do_flush() before napi_complete_done()
  - 34e0dd0947e90 ice: Prevent set_channel from changing queues while RDMA active
  - c4cadb84e71b5 vhost-scsi: unbreak any layout for response
  - 5a1909510387d use less confusing names for iov_iter direction initializers
  - 6d6e144ffbf25 fix "direction" argument of iov_iter_kvec()
  - ff85ec97d14c3 fix 'direction' argument of iov_iter_{init,bvec}()
  - 02f719be2f2b1 fix iov_iter_bvec() "direction" argument
  - b50705b5ef09c memcpy_real(): WRITE is "data source", not destination...
  - cefb33f5be6e7 zcore: WRITE is "data source", not destination...
  - 98653e51618e9 READ is "data destination", not source...
  - a7fcd22a55a6f WRITE is "data source", not destination...
  - 0332bdec060af copy_oldmem_kernel() - WRITE is "data source", not destination
  - ccbe22d4843da vhost/net: Clear the pending messages when the backend is removed
  - 0b49da857d32b ALSA: memalloc: Workaround for Xen PV
  - 3331d34160767 bpf: Fix the kernel crash caused by bpf_setsockopt().
  - c7ee7bad9c1b4 scsi: Revert "scsi: core: map PQ=1, PDT=other values to SCSI_SCAN_TARGET_PRESENT"
  - 9e0097cb51e69 drm/ssd130x: Init display before the SSD130X_DISPLAY_ON command
  - c590a4a59a985 drm/vc4: hdmi: make CEC adapter name unique
  - 0bdd5a7b517f1 arm64: dts: imx8mm-verdin: Do not power down eth-phy
  - 3419ddcfa143a arm64: dts: imx8mm: Fix pad control for UART1_DTE_RX
  - 12b0ec7c6953e bpf, sockmap: Check for any of tcp_bpf_prots when cloning a listener
  - 7715f96f4ba63 media: v4l2-ctrls-api.c: move ctrl->is_new = 1 to the correct line
  - d5c7a2ab5e1f7 bpf: Add missing btf_put to register_btf_id_dtor_kfuncs
  - d52f34784e4e2 ASoC: SOF: ipc4-mtrace: prevent underflow in sof_ipc4_priority_mask_dfs_write()
  - 4ea7f83314f19 selftests/filesystems: grant executable permission to run_fat_tests.sh
  - 7c7652ffa986d bpf: Fix to preserve reg parent/live fields when copying range info
  - f011360ad234a ALSA: hda/via: Avoid potential array out-of-bound in add_secret_dac_path()
  - 6a199d556c025 bpf: Fix a possible task gone issue with bpf_send_signal[_thread]() helpers
  - c32efcf9ff854 bpf: Fix off-by-one error in bpf_mem_cache_idx()
  - ba32923bcedda ASoC: Intel: avs: Implement PCI shutdown
  - cdebb52d60981 ASoC: Intel: sof_es8336: Drop reference count of ACPI device after use
  - c48af765e183c ASoC: Intel: bytcr_wm5102: Drop reference count of ACPI device after use
  - c72c57b689bf8 ASoC: Intel: bytcr_rt5640: Drop reference count of ACPI device after use
  - 877699a054ec2 ASoC: Intel: bytcr_rt5651: Drop reference count of ACPI device after use
  - eddc0f2ad6d53 ASoC: Intel: bytcht_es8316: Drop reference count of ACPI device after use
  - 7b1ed88ec3af3 ASoC: amd: acp-es8336: Drop reference count of ACPI device after use
  - ac949eae8d594 arm64: dts: freescale: imx8dxl: fix sc_pwrkey's property name linux,keycode
  - 13d27de91ace8 arm64: dts: imx8m-venice: Remove incorrect 'uart-has-rtscts'
  - 17b83ef66d0e4 bus: sunxi-rsb: Fix error handling in sunxi_rsb_init()
  - c8bdc88216f09 firewire: fix memory leak for payload of request subaction to IEC 61883-1 FCP region
